package com.bonus.sgzb.base.service;

import com.bonus.sgzb.base.domain.BmProjectInfo;

import java.util.List;

public interface BmProjectInfoService {
    public List<BmProjectInfo> getProjectInfoAll();

    public List<BmProjectInfo> getProjectInfo(BmProjectInfo bmProjectInfo);

    public int projectInfoAdd(BmProjectInfo bmProjectInfo);

    public void remove(Long[] proIds);

    public int updateBmProjectInfo(BmProjectInfo bmProjectInfo);

    public int deleteProjectInfoById(Long proId);

    String importBmProjectInfo(List<BmProjectInfo> bmProjectInfoList, boolean updateSupport);
}
